﻿using Infragistics.Web.UI.GridControls;
using System;
using System.Collections.Generic;
using System.Data;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

public partial class _Default : System.Web.UI.Page
{
    protected DataTable populateGrid()
    {
        DataTable dt = new DataTable();
        dt.Columns.Add("ID");
        dt.Columns.Add("Name");

        DataColumn[] col = new DataColumn[1];
        col[0] = dt.Columns["ID"];
        dt.PrimaryKey = col;

        DataRow row;
        for (int i = 0; i < 10; i++)
        {
            row = dt.NewRow();
            row.SetField<int>("ID", i);
            row.SetField<string>("Name", "Name" + i);
            dt.Rows.Add(row);
        }

        return dt;
    }
    protected void Page_Load(object sender, EventArgs e)
    {
        this.WebDataGrid1.DataSource = populateGrid();
        this.WebDataGrid1.DataBind();
    }
    protected void Button1_Click(object sender, EventArgs e)
    {
        DataTable tableFromGridRows = new DataTable();
        tableFromGridRows.Columns.Add("ID");
        tableFromGridRows.Columns.Add("Name");

        DataRow dr;

        foreach(GridRecord gr in WebDataGrid1.Rows)
        {
            dr = tableFromGridRows.NewRow();
            dr["ID"] = gr.Items[0].Text;
            dr["Name"] = gr.Items[1].Text;
            tableFromGridRows.Rows.Add(dr);
        }
      
    }
}